<template>
  <div id="header-div" class="p-2 d-flex flex-column align-items-center">
    <h1>
      {{headerProps.title}}
      <small>| {{headerProps.subTitle}}</small>
    </h1>
    <p class="app-description">{{headerProps.description}}</p>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";

@Component
export default class TheHeader extends Vue {
  @Prop() private headerProps!: object;
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
#header-div {
  border-bottom: 1px solid lightgray;
}
</style>
